Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044334
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2020-06-10 17:312020-06-26 12:36
ReporterngarciaView Statuspublic 
Assigned Toinigo_lerga 
PriorityurgentResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revisionb1dacf123eb4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044334: Wrong amount in financial account if the currency of the payment is edited

DescriptionWrong amount in financial account if the currency of the payment is edited
Steps To ReproduceAs group admin role:
   Configure Transferencia payment method in Cuenta de Banco financial account to Receive Payments in Multiple Currencies
   Create a Sales Invoice of 1000 to Hoteles Buenas Noches, S.A. and complete it
   Go to Payment In window and select Hoteles Buenas Noches, S.A. business partner, Cuenta de Banco financial Account and Transferencia payment method
   Add 1000 EUR as amount
   Change the currency to USD and set a Exchange rate of 1.15
   Check the Received (Financial Account) field changes to 1150
   Change the currency again to EUR
   Check the Received and Exchange Rate fields are hidden
   Add Details
   Select previously created invoice and complete
   Go to Financial Account Transactions and check the Deposit amount is 1150EUR instead of 1000EUR
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121108)
hgbot (developer)
2020-06-26 11:53

Repository: erp/devel/pi
Changeset: b1dacf123eb48821ef1b8194f493522c8550c126
Author: inigo_lerga <inigo.lerga <at> openbravo.com>
Date: Fri Jun 26 11:53:06 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b1dacf123eb48821ef1b8194f493522c8550c126 [^]

Fixes ISSUE-44334:Converted amount set to original amount when needed
When the Currency is set to the default value, after changing
it to a different one and specifying a Exchange rate, the
Converted amount is set to the original amount again.
Also, the same fix has been applied to another two lines that
could cause problems.

---
M src/org/openbravo/erpCommon/ad_callouts/SE_Payment_MultiCurrency.java
---
(0121115)
inigo_lerga (developer)
2020-06-26 12:29

--Test Plan Mantis HQL--

As the F&B International Group Admin role in Backend:
  - Go to Financial Account window and select "Cuenta de Banco" record.
    Go to Payment Method Tab and open the "Transferencia" record and
    enable the "Receive Payments in Multiple Currencies" checkbox.

  - Go to Sales Invoice window and create a new record with
    "Hoteles Buenas Noches, S.A." as Business Partner and "Transferencia"
    as Payment Method.
    Go to Lines Tab and create a new record with "Agua sin Gas 1L" as Product
    with 540 units as Invoiced Quantity.
    Check that the Total Gross Amount of the Sales Invoice is of 999.70
    Confirm the Sales Invoice and Post it.

  - Go to Payment In window and create a new record with "Hoteles Buenas Noches, S.A."
    as Received From field and "Cuenta de Banco - EUR" as Deposit To field.
    Set Transferencia as Payment Method and 999.70 as Amount.
    Change the Currency to USD and set an Exchange Rate of 1.15
    (Check that the Received field changes to almost 1150)
    and save the record.
    Change the Currency back to EUR and save the record.
    (Check that the fields Received and Exchange rate are not shown anymore)
    Press the Add details button and select the previously created Sales Invoice.
    Complete the Payment In and post it.

  - Go back to Financial Account window and check in Accounting Tab the just
    created record. It has 999.70 as Debit Amount, before the fix it would
    wrongly show almost 1150.
(0121118)
dmiguelez (developer)
2020-06-26 12:36

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-06-10 17:31 ngarcia New Issue
2020-06-10 17:31 ngarcia Assigned To => Triage Finance
2020-06-10 17:31 ngarcia Modules => Advanced Payables and Receivables Mngmt
2020-06-10 17:31 ngarcia Triggers an Emergency Pack => No
2020-06-10 18:22 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2020-06-11 10:39 ngarcia Issue Monitored: networkb
2020-06-12 13:28 inigo_lerga Assigned To AtulOpenbravo => inigo_lerga
2020-06-12 13:28 inigo_lerga Status new => scheduled
2020-06-26 11:53 hgbot Checkin
2020-06-26 11:53 hgbot Note Added: 0121108
2020-06-26 11:53 hgbot Status scheduled => resolved
2020-06-26 11:53 hgbot Resolution open => fixed
2020-06-26 11:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b1dacf123eb48821ef1b8194f493522c8550c126 [^]
2020-06-26 12:29 inigo_lerga Note Added: 0121115
2020-06-26 12:36 dmiguelez Review Assigned To => dmiguelez
2020-06-26 12:36 dmiguelez Note Added: 0121118
2020-06-26 12:36 dmiguelez Status resolved => closed
2020-06-26 12:36 dmiguelez Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker